@echo off
echo Batch file to set the proper file dates for people who
echo installed the FoxPro 2.5 to FoxPro 2.5a DOS or
echo patches.  This batch file works with both DOS and Windows
echo with or without the Distribution Kit.
echo.
echo This assumes that attrib and setfdate is in the path.
echo setfdate.exe can be found on Compuserve.
echo.
echo.
echo This batch file needs to be run from the root
echo directory of the FoxPro installation
echo.
echo.
echo.
pause

Rem Make the files we update no longer read-only
attrib -r foxpro.exe
attrib -r foxprow.exe
attrib -r foxprox.exe
attrib -r foxw250a.esl


echo Set the proper filedate for the main FoxPro Installation
setfdate foxpro.exe   06/09/1993 02:50
setfdate foxprox.exe  06/09/1993 02:50
setfdate foxpro.ovl   06/09/1993 02:50
setfdate foxprow.exe  06/05/1993 02:50


echo Set the proper file dates for the Distribution Kit
setfdate foxclibm.lib 06/09/1993 02:50
setfdate foxclibr.lib 06/09/1993 02:50
setfdate foxd250a.esl 06/09/1993 02:50
setfdate foxd250a.eso 06/09/1993 02:50
setfdate foxdx25a.esl 06/09/1993 02:50
setfdate foxmathm.lib 06/09/1993 02:50
setfdate foxmathr.lib 06/09/1993 02:50
setfdate foxpro.lib   06/09/1993 02:50
setfdate foxpros.lib  06/09/1993 02:50
setfdate foxprosx.lib 06/09/1993 02:50
setfdate wovl.lib     06/09/1993 02:50
setfdate foxprox.lib  06/09/1993 02:50

setfdate foxw250a.esl 06/09/1993 02:50


Rem Make the files read-only again.
attrib +r foxpro.exe
attrib +r foxprow.exe
attrib +r foxprox.exe
attrib +r foxw250a.esl
